cURL
curl --request POST \ --url https://api.sequence.app/rpc/Builder/ListContractSources \ --header 'Content-Type: application/json' \ --header 'X-Access-Key: <api-key>' \ --data ' { "projectId": 123, "page": { "pageSize": 123, "page": 123, "column": "<string>", "more": true, "before": {}, "after": {}, "sort": [ { "column": "<string>", "order": "DESC" } ] } } '
{ "page": { "pageSize": 123, "page": 123, "column": "<string>", "more": true, "before": {}, "after": {}, "sort": [ { "column": "<string>", "order": "DESC" } ] }, "contractSources": [ { "id": 123, "uid": "<string>", "contractType": "<string>", "name": "<string>", "description": "<string>", "author": "<string>", "license": "<string>", "audited": true, "moreInfoUrl": "<string>", "disabled": true, "factorySourceUid": "<string>", "abi": "<string>", "bytecode": "<string>", "bytecodeHash": "<string>", "createdAt": "<string>", "updatedAt": "<string>", "projectId": 123 } ] }
Documentation IndexFetch the complete documentation index at: https://docs.sequence.xyz/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.sequence.xyz/llms.txt
Use this file to discover all available pages before exploring further.
Public project access key for authenticating requests obtained on Sequence Builder. Example Test Key: AQAAAAAAAEGvyZiWA9FMslYeG_yayXaHnSI
Show child attributes
OK
[]ContractSource
Was this page helpful?